<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddIsVirtualAndBroadcastURLToEventsTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (!Schema::hasTable('events')) {
            return;
        }

        Schema::table('events', static function (Blueprint $table): void {
            if (!Schema::hasColumn('events', 'is_virtual')) {
                $table->json('is_virtual')->default(null)->nullable();
            }
            if (!Schema::hasColumn('events', 'broadcast_URL')) {
                $table->string('broadcast_URL')->nullable();
            }
        });
    }
}
