<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class RemovePolymorphicFromActionLists extends Migration
{
    public function up(): void
    {
        Schema::table('action_lists', static function (Blueprint $table): void {
            if (Schema::hasColumns('action_lists', [
                    'action_lists_event_id_foreign',
                    'action_lists_action_listable_type_action_listable_id_index',
            ])
            ) {
                $table->removeColumn('action_lists_event_id_foreign');
                $table->removeColumn('action_lists_action_listable_type_action_listable_id_index');
            }

            if (Schema::hasColumn('action_lists', 'label')) {
                $table->removeColumn('label');
            }

            if (Schema::hasColumn('action_lists', 'name')) {
                $table->removeColumn('name');
            }

            if (Schema::hasColumn('action_lists', 'action_listable_id')) {
                $table->removeColumn('action_listable_id');
            }

            if (Schema::hasColumn('action_lists', 'action_listable_type')) {
                $table->removeColumn('action_listable_type');
            }

            $table->unsignedInteger('event_id')->after('id')->nullable();
            $table->foreign('event_id')->references('id')->on('events');

            $table->string('name')->nullable()->after('event_id');
            $table->string('status')->nullable()->after('name');
            $table->string('type')->nullable()->after('status');
        });
    }
}
