<!doctype html>
<html>

<head>
  <meta name='viewport' content='width=device-width' />
  <meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />
  <title>@yield('title')</title>
  <style>
    /* -------------------------------------
          GLOBAL RESETS
      ------------------------------------- */

    /*All the styling goes here*/

    img {
      border: none;
      -ms-interpolation-mode: bicubic;
      max-width: 100%;
    }

    body {
      background-color: #ffffff;
      font-family: Arial, Helvetica, sans-serif;
      -webkit-font-smoothing: antialiased;
      font-size: 14px;
      line-height: 1.4;
      margin: 0;
      padding: 0;
      -ms-text-size-adjust: 100%;
      -webkit-text-size-adjust: 100%;
    }

    table {
      border-collapse: separate;
      mso-table-lspace: 0pt;
      mso-table-rspace: 0pt;
      width: 100%;
    }

    table td {
      font-family: sans-serif;
      font-size: 14px;
      vertical-align: top;
    }

    /* -------------------------------------
          BODY & CONTAINER
      ------------------------------------- */

    .body {
      background-color: #ffffff;
      max-width: 600px;
      width: 100%;
    }

    /* Set a max-width, and make it display as block so it will automatically stretch to that width, but will also shrink down on a phone or something */
    .container {
      border: 1px solid #ccd1e0;
      border-radius: 10px;
      display: block;
      margin: 10px auto !important;
      /* makes it centered */
      max-width: 580px;
      padding: 0;
      width: 580px;
    }

    /* This should also be a block element, so that it will fill 100% of the .container */
    .content {
      box-sizing: border-box;
      display: block;
      margin: 0 auto;
      max-width: 580px;
      padding: 0;
    }

    /* -------------------------------------
          HEADER, FOOTER, MAIN
      ------------------------------------- */
    .main {
      background: #ffffff;
      border-radius: 3px;
      width: 100%;
    }

    .wrapper {
      box-sizing: border-box;
      padding: 20px;
    }

    .hr-wrapper {
      box-sizing: border-box;
      padding: 0;
    }

    .content-block {
      padding-bottom: 10px;
      padding-top: 10px;
    }

    .header,
    .footer {
      clear: both;
      margin-top: 10px;
      text-align: center;
      width: 100%;
    }

    .footer {
      background-color: #e6e8f0;
      padding-top: 10px;
    }

    .header td,
    .header p,
    .header span {
      font-size: 12px;
      text-align: center;
    }

    .footer td,
    .footer p,
    .footer span,
    .footer a {
      font-size: 12px;
      text-align: center;
    }

    /* -------------------------------------
          TYPOGRAPHY
      ------------------------------------- */
    h1,
    h2,
    h3,
    h4 {
      color: #001965;
      font-family: Arial, Helvetica, sans-serif;
      font-weight: 400;
      line-height: 1.4;
      margin: 0;
      margin-bottom: 10px;
      text-transform: capitalize;
    }

    h1 {
      font-size: 24px;
    }

    h2 {
      font-size: 20px;
    }

    h3 {
      font-size: 16px;
    }

    p,
    ul,
    ol {
      font-family: Arial, Helvetica, sans-serif;
      font-size: 14px;
      font-weight: normal;
      margin: 0;
      margin-bottom: 15px;
    }

    p li,
    ul li,
    ol li {
      list-style-position: inside;
      margin-left: 5px;
    }

    a {
      color: #001965;
      text-decoration: underline;
    }

    img {
      color: #001423;
      display: block;
      font-size: 16px;
      font-family: Arial, Helvetica, sans-serif;
      height: auto;
      text-align: left;
      width: 100%;
    }

    /* -------------------------------------
          BUTTONS
      ------------------------------------- */
    .btn {
      box-sizing: border-box;
      width: 100%;
    }

    .btn-container {
      background-color: #ffffff;
      display: block;
      text-align: center;
    }

    .btn {
      border-radius: 30px;
      cursor: pointer;
      display: inline-block;
      font-size: 14px;
      font-weight: bold;
      margin: 0;
      padding: 10px 25px;
      text-decoration: none;
      text-transform: capitalize;
      width: auto;
    }

    .btn a {
      font-family: Arial, Helvetica, sans-serif;
      text-decoration: none;
    }

    .btn:first-of-type,
    .btn-first {
      margin-right: 5px;
    }

    .btn:last-of-type,
    .btn-last {
      margin-left: 5px;
    }

    .btn-primary,
    .btn-primary a {
      background-color: #001965;
      border-color: solid 1px #001965;
      color: #ffffff;
    }

    .btn-secondary,
    .btn-secondary {
      background-color: #ffffff;
      border: solid 1px #001965;
      color: #001965;
    }

    .img {
      color: #001423;
      display: block;
      font-size: 16px;
      font-family: Arial, Helvetica, sans-serif;
      height: auto;
      text-align: left;
      width: 100%;
    }

    /* -------------------------------------
          OTHER STYLES THAT MIGHT BE USEFUL
      ------------------------------------- */
    .last {
      margin-bottom: 0;
    }

    .first {
      margin-top: 0;
    }

    .align-center {
      text-align: center;
    }

    .align-right {
      text-align: right;
    }

    .align-left {
      text-align: left;
    }

    .clear {
      clear: both;
    }

    .td {
      max-width: 100%;
      padding: 5px 0;
      vertical-align: text-top;
    }

    .td10 {
      width: 9.99%;
    }

    .td90 {
      width: 89.99%;
    }

    .mt0 {
      margin-top: 0;
    }

    .mb0 {
      margin-bottom: 0;
    }

    .logo {
      max-height: 100px;
      max-width: 140px;
    }

    .preheader {
      color: transparent;
      display: none;
      height: 0;
      max-height: 0;
      max-width: 0;
      opacity: 0;
      overflow: hidden;
      mso-hide: all;
      visibility: hidden;
      width: 0;
    }

    .powered-by a {
      text-decoration: none;
    }

    hr {
      border: 0;
      border-bottom: 1px solid #ccd1e0;
      margin: 0;
    }

    /* -------------------------------------
          RESPONSIVE AND MOBILE FRIENDLY STYLES
      ------------------------------------- */
    @media only screen and (max-width: 600px) {
      table[class=body] h1 {
        font-size: 28px !important;
        margin-bottom: 10px !important;
      }

      table[class=body] p,
      table[class=body] ul,
      table[class=body] ol,
      table[class=body] td,
      table[class=body] span,
      table[class=body] a {
        font-size: 16px !important;
      }

      table[class=body] .wrapper,
      table[class=body] .article {
        padding: 10px !important;
      }

      table[class=body] .hr-wrapper {
        padding: 0 !important;
      }

      table[class=body] .content {
        padding: 0 !important;
      }

      table[class=body] .container {
        padding: 0 !important;
        width: 100% !important;
      }

      table[class=body] .main {
        border-left-width: 0 !important;
        border-radius: 0 !important;
        border-right-width: 0 !important;
      }

      table[class=body] .btn-container {
        width: 100% !important;
      }

      table[class=body] .btn a {
        width: 100% !important;
      }

      table[class=body] .img-responsive {
        height: auto !important;
        max-width: 100% !important;
        width: auto !important;
      }
    }

    /* -------------------------------------
          PRESERVE THESE STYLES IN THE HEAD
      ------------------------------------- */
    @media all {
      .ExternalClass {
        width: 100%;
      }

      .ExternalClass,
      .ExternalClass p,
      .ExternalClass span,
      .ExternalClass font,
      .ExternalClass td,
      .ExternalClass div {
        line-height: 100%;
      }

      .apple-link a {
        color: inherit !important;
        font-family: inherit !important;
        font-size: inherit !important;
        font-weight: inherit !important;
        line-height: inherit !important;
        text-decoration: none !important;
      }

      #MessageViewBody a {
        color: inherit;
        text-decoration: none;
        font-size: inherit;
        font-family: inherit;
        font-weight: inherit;
        line-height: inherit;
      }

      .btn-primary {
        background-color: #001965 !important;
      }

      .btn-primary:hover {
        background-color: #001965 !important;
        border-color: #001965 !important;
      }

      .btn-secondary {
        background-color: #ffffff !important;
      }

      .btn-secondary:hover {
        background-color: #ffffff !important;
        border-color: #ffffff !important;
      }
    }
  </style>
</head>

<body class=''>
  <span class='preheader'>@yield('pre-header')</span>
  <table align='center' width='600' role='presentation' border='0' cellpadding='0' cellspacing='0' class='body' style='background-color: #ffffff; max-width: 600px; width: 100%;'>

    <tr>
      <td>&nbsp;</td>
      <td class='container'>
        <div class='content'>

          <!-- START HEADER -->
          <div class='header'>
            <table role='presentation' border='0' cellpadding='0' cellspacing='0'>
              <tr>
                <td class='content-block' align='center' style='padding: 0;'>
                  <p><a style='color: #001423; font-family:Arial, Helvetica, sans-serif; font-size: 12px; text-decoration: none;'><span style='color: #001423; font-family:Arial, Helvetica, sans-serif; font-size: 12px; text-decoration: none;'>
                        <font color='#001423'>View this email in your browser</font>
                      </span></a>
                </td>
              </tr>
            </table>
          </div>
          <!-- END HEADER -->

          <!-- START CENTERED WHITE CONTAINER -->
          <table role='presentation' class='main' align='left'>

            <!-- START MAIN CONTENT AREA -->
            <tr>
              <td class='wrapper'>
                <table role='presentation' border='0' cellpadding='0' cellspacing='0'>
                  <tr>
                    <td>
                      <table role='presentation' border='0' cellpadding='0' cellspacing='0'>
                        <tr>
                          <td class='align-left' align='left' style='padding: 20px 0;'><img class='logo img' width='140px' height='100px' style='color: #001423; display: block; font-size: 16px; font-family: Arial, Helvetica, sans-serif; height: auto; max-height: 100px; max-width: 140px; text-align: left; width: 100%;' src='https://novo-event-portal.drpg.dev/assets/novo-logo.ad6d4e40057dfb4abcb952976012b197.png' alt='Company logo' /></td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                  <tr>
                    <td class='align-left' align='left'>
                      <h1 style='color: #001965; font-size: 24px; font-weight: bold; text-transform: inherit;'>@yield('heading')</h1>
                      <!--[if mso]>&nbsp;<br /><![endif]-->
                      <p>@yield('body')</p>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>

            <!-- END MAIN CONTENT AREA -->
          </table>
          <!-- END CENTERED WHITE CONTAINER -->

          <!-- START FOOTER -->
          <div class='footer' style='background-color: #e6e8f0; padding-top: 10px;'>
            <table role='presentation' border='0' cellpadding='0' cellspacing='0'>
              <tr>
                <td class='content-block'>
                  <p style='font-size: 14px !important;'>This email was sent to test-address@example.com</p>
                  <p style='font-size: 14px !important;'>Event Portal | DRPG</p>
                  <p style='font-size: 14px !important; margin-bottom: 2px;'>Copyright © 2020 Novo Nordisk. All rights reserved.</p>
                  <p style='font-size: 14px !important;'>Update your marketing preferences</p>
                </td>
              </tr>
            </table>
          </div>
          <!-- END FOOTER -->

        </div>
      </td>
      <td>&nbsp;</td>
    </tr>
  </table>
</body>

</html>
