<?php

namespace EventPortal\Domain\Agenda;

class SessionErrors
{
    public static function swapDatabaseKeysForBrowserKeys(array $input): array
    {
        return collect($input)
            ->mapWithKeys(function ($value, $key) {
                return [
                    SessionKeyMap::getBrowserKeyFromDatabase($key) => $value,
                ];
            })
            ->toArray();
    }

    public static function swapBrowserKeysForDatabaseKeys(array $input): array
    {
        return collect($input)
            ->mapWithKeys(function ($value, $key) {
                return [
                    SessionKeyMap::getDatabaseKeyFromBrowser($key) => $value,
                ];
            })
            ->toArray();
    }
}
