<?php

namespace EventPortal\Domain\Delegate\Handlers;

use Closure;
use EventPortal\Domain\Address\Models\Address;
use EventPortal\Domain\Form\Payload;
use Illuminate\Support\Arr;

class UpdateAddress
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $delegate = $payload->getContext('delegate');
        $existingAddress = $delegate->address;
        $addressInput = $this->getAddressFromInput($payload->getInput());

        if ($existingAddress === null) {
            $delegate->address()->save(new Address($addressInput));

            return $next($payload);
        }

        $existingAddress->update($addressInput);

        return $next($payload);
    }

    /**
     * Use a nested address if it is present.
     */
    private function getAddressFromInput(array $input): array
    {
        if (Arr::has($input, 'address')) {
            return Arr::get($input, 'address');
        }

        return $input;
    }
}
