<?php

namespace EventPortal\Domain\Util\Statistics;

use Illuminate\Support\Arr;

class StatisticsRegistry
{
    /** @var array<string> */
    private $statistics = [];

    public function make(string $key): Statistics
    {
        if (Arr::has($this->statistics, $key)) {
            return $this->statistics[$key];
        }

        $this->statistics[$key] = new Statistics;

        return $this->statistics[$key];
    }
}
