<?php

namespace EventPortal\Tests\Feature\Admin;

use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class AccessTest extends TestCase
{
    use RefreshDatabase, SeedRolesAndPermissions;

    /** @test **/
    public function can_access_admin_if_super_admin()
    {
        $this
            ->actingAsSuperAdmin()
            ->get(route('admin.event.index'))
            ->assertStatus(200);
    }

    /** @test **/
    public function can_access_admin_if_admin()
    {
        $this
            ->actingAsAdmin()
            ->get(route('admin.event.index'))
            ->assertStatus(200);
    }

    /** @test **/
    public function cannot_access_admin_if_not_an_admin()
    {
        $this
            ->actingAsDelegate()
            ->get(route('admin.event.index'))
            ->assertStatus(401);
    }
}
