<?php

namespace EventPortal\Tests\Feature\Delegate\Event;

use EventPortal\Domain\Delegate\Models\Delegate;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Event\Models\EventDelegate;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Spatie\Snapshots\MatchesSnapshots;

class FaqIndexTest extends TestCase
{
    use RefreshDatabase, MatchesSnapshots;

    /** @test */
    public function can_view_faqs()
    {
        $event = factory(Event::class)->states(['snapshot'])->create();

        $eventDelegate = factory(EventDelegate::class)
            ->state('invited')
            ->create([
                'event_id' => $event->id,
                'delegate_id' => function () {
                    return factory(Delegate::class)
                        ->state('snapshot')
                        ->create()
                        ->id;
                },
            ]);

        $this
            ->actingAs($eventDelegate->delegate->user)
            ->get(route('faq.index', ['event' => $event->slug]))
            ->assertOk();
    }
}
