<?php

namespace EventPortal\Tests\Unit\Component;

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ConfirmButton;
use EventPortal\Domain\Util\Modal\ConfirmModal;
use EventPortal\Enums\InertiaMethod;
use EventPortal\Tests\TestCase;

class ConfirmButtonTest extends TestCase
{
    /** @test **/
    public function can_make()
    {
        $button = ConfirmButton::make('Test Button');

        $this->assertEquals('Test Button', $button->label);
        $this->assertInstanceOf(ConfirmModal::class, $button->modal);
    }

    /** @test **/
    public function can_add_content()
    {
        $button = ConfirmButton::make('Test Button')->content('Hello friends!');

        $this->assertEquals('Hello friends!', $button->modal->content);
    }

    /** @test **/
    public function can_add_route()
    {
        $button = ConfirmButton::make('Test Button')->route('login');

        $expected = Button::make('Confirm')
            ->method(InertiaMethod::POST())
            ->route('login')
            ->closeOnAction();

        $this->assertEquals($expected, $button->modal->actions[0]);
    }
}
